package org.xbib.jdbc.query;

/**
 * Simple bean representing how the database transaction should behave
 * in terms of commit/rollback.
 */
public class TransactionImpl implements Transaction {
    private boolean rollbackOnError;
    private boolean rollbackOnly;

    @Override
    public boolean isRollbackOnError() {
        return rollbackOnError;
    }

    @Override
    public void setRollbackOnError(boolean rollbackOnError) {
        this.rollbackOnError = rollbackOnError;
    }

    @Override
    public boolean isRollbackOnly() {
        return rollbackOnly;
    }

    @Override
    public void setRollbackOnly(boolean rollbackOnly) {
        this.rollbackOnly = rollbackOnly;
    }
}
