package org.xbib.jdbc.query;

/**
 * Indicates that a configuration value is required but was not present.
 */
@SuppressWarnings("serial")
public class ConfigMissingException extends DatabaseException {

    public ConfigMissingException(String message) {
        super(message);
    }

    public ConfigMissingException(Throwable cause) {
        super(cause);
    }

    public ConfigMissingException(String message, Throwable cause) {
        super(message, cause);
    }
}
