package org.xbib.jdbc.query;

/**
 * Thrown when inserting/updating rows and the actual number of rows modified does
 * not match the expected number of rows.
 */
@SuppressWarnings("serial")
public class WrongNumberOfRowsException extends DatabaseException {

    public WrongNumberOfRowsException(String message) {
        super(message);
    }
}
